> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get recovery-point status and metadata.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/backups/{backupId}
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/databases/{databaseId}/backups/{backupId}:
    get:
      tags:
        - databaseBackups
      summary: Get
      description: Get recovery-point status and metadata.
      operationId: databaseBackups.get
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: databaseId
          in: path
          required: true
          schema:
            type: string
        - name: backupId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Backup.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  databaseId:
                    type: string
                  kind:
                    type: string
                    enum:
                      - continuous
                      - manual
                      - daily
                      - weekly
                      - monthly
                  status:
                    type: string
                    enum:
                      - queued
                      - running
                      - ready
                      - failed
                      - expired
                  recoveryPoint:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  sizeBytes:
                    type:
                      - integer
                      - 'null'
                  destinationId:
                    type:
                      - string
                      - 'null'
                  destinationVersion:
                    type:
                      - integer
                      - 'null'
                    description: >-
                      Exact immutable destination configuration used by this
                      recovery point.
                  error:
                    type:
                      - string
                      - 'null'
                  expiresAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  createdAt:
                    type: string
                    format: date-time
                  completedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                required:
                  - id
                  - databaseId
                  - kind
                  - status
                  - recoveryPoint
                  - sizeBytes
                  - destinationId
                  - destinationVersion
                  - error
                  - expiresAt
                  - createdAt
                  - completedAt
        '404':
          description: No such backup for this database.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````